Rotate Endpoint Secret
POST /endpoint/{endpoint_id}/secret/rotate on the Webhooks API. Base URL: https://api.sinay.ai/webhook/api/v1.
Rotates the endpoint's signing secret. The previous secret will be valid for the next 24 hours.
Path parameters
Header parameters
| Name | Type | Required | Description |
|---|---|---|---|
idempotency-key | string | No | The request's idempotency key. |
Request body
application/json, required.
| Field | Type | Required | Description |
|---|---|---|---|
key | string, nullable | No | The endpoint's verification secret. If null is passed, a secret is automatically generated. Format: base64 encoded random bytes optionally prefixed with whsec_. Recommended size: 24. Default: null. |
Responses
No body.